var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import { EXPANDABLE_TEXT_FIELD_SET_IS_OPEN, EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN, EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN_AND_CLOSE_OTHERS } from '../actions/actions';

var expandableTextFields = function expandableTextFields() {
  var _extends2, _extends3, _ref;

  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var action = arguments[1];

  switch (action.type) {

    case EXPANDABLE_TEXT_FIELD_SET_IS_OPEN:
      return _extends({}, state, (_extends2 = {}, _extends2[action.id] = action.open, _extends2));

    case EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN:
      return _extends({}, state, (_extends3 = {}, _extends3[action.id] = !state[action.id] !== undefined ? !state[action.id] : true, _extends3));
    case EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN_AND_CLOSE_OTHERS:
      return _ref = {}, _ref[action.id] = !state[action.id] !== undefined ? !state[action.id] : true, _ref;

    default:
      return state;
  }
};

export default expandableTextFields;