'use strict';

exports.__esModule = true;
exports.setIsETFOpen = setIsETFOpen;
exports.toggleETF = toggleETF;
var EXPANDABLE_TEXT_FIELD_SET_IS_OPEN = exports.EXPANDABLE_TEXT_FIELD_SET_IS_OPEN = 'EXPANDABLE_TEXT_FIELD_SET_IS_OPEN';
var EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN = exports.EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN = 'EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN';
var EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN_AND_CLOSE_OTHERS = exports.EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN_AND_CLOSE_OTHERS = 'EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN_AND_CLOSE_OTHERS';

function setIsETFOpen(id, open) {
  return {
    type: EXPANDABLE_TEXT_FIELD_SET_IS_OPEN,
    id: id,
    open: open
  };
}

function toggleETF(id) {
  var closeOthers = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;


  return {
    type: closeOthers === true ? EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN_AND_CLOSE_OTHERS : EXPANDABLE_TEXT_FIELD_TOGGLE_OPEN,
    id: id
  };
}